Search documentation of wx

# View Source wxToolTip (wx v2.4.2)

Functions for wxToolTip class

This class holds information about a tooltip associated with a window (see `wxWindow:setToolTip/2`).

The four static methods, `enable/1`, `setDelay/1` `wxToolTip::SetAutoPop()` (not implemented in wx) and `wxToolTip::SetReshow()` (not implemented in wx) can be used to globally alter tooltips behaviour.

wxWidgets docs: wxToolTip

# Summary

## Types

wxToolTip()

## Functions

destroy(This)

Destroys the object.

enable(Flag)

Enable or disable tooltips globally.

getTip(This)

Get the tooltip text.

getWindow(This)

Get the associated window.

new(Tip)

Constructor.

setDelay(Msecs)

Set the delay after which the tooltip appears.

setTip(This, Tip)

Set the tooltip text.

# Types

Link to this type

# wxToolTip()

View Source

    -type wxToolTip() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxToolTip()) -> ok.

Destroys the object.

Link to this function

# enable(Flag)

View Source

    -spec enable(Flag) -> ok when Flag :: boolean().

Enable or disable tooltips globally.

Note: May not be supported on all platforms (eg. wxCocoa).

Link to this function

# getTip(This)

View Source

    -spec getTip(This) -> unicode:charlist() when This :: wxToolTip().

Get the tooltip text.

Link to this function

# getWindow(This)

View Source

    -spec getWindow(This) -> wxWindow:wxWindow() when This :: wxToolTip().

Get the associated window.

Link to this function

# new(Tip)

View Source

    -spec new(Tip) -> wxToolTip() when Tip :: unicode:chardata().

Constructor.

Link to this function

# setDelay(Msecs)

View Source

    -spec setDelay(Msecs) -> ok when Msecs :: integer().

Set the delay after which the tooltip appears.

Note: May not be supported on all platforms.

Link to this function

# setTip(This, Tip)

View Source

    -spec setTip(This, Tip) -> ok when This :: wxToolTip(), Tip :: unicode:chardata().

Set the tooltip text.